Scan an EIP-712 message
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/eip-712/scan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletAddress": "<string>",
"chainId": "<string>",
"eip712Message": {
"primaryType": "<string>",
"types": {},
"domain": {},
"message": {}
},
"showFullFindings": true,
"policy": "<string>"
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/eip-712/scan"
payload = {
"walletAddress": "<string>",
"chainId": "<string>",
"eip712Message": {
"primaryType": "<string>",
"types": {},
"domain": {},
"message": {}
},
"showFullFindings": True,
"policy": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
walletAddress: '<string>',
chainId: '<string>',
eip712Message: {primaryType: '<string>', types: {}, domain: {}, message: {}},
showFullFindings: true,
policy: '<string>'
})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/eip-712/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rawResponse": {
"assessmentId": "<string>",
"assessmentTimestamp": "<string>",
"recommendation": "<string>",
"expectedStatus": "<string>",
"findings": [
{}
],
"involvedAssets": [
{}
],
"balanceChanges": [
{}
],
"parsedActions": [
{}
],
"trace": [
{
"from": "<string>",
"to": "<string>",
"funcId": "<string>",
"callType": "<string>",
"value": "<string>",
"traceAddress": [
123
],
"status": true,
"callInput": "<string>",
"extraInfo": {}
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}Hypernative
Scan an EIP-712 message
Scans an EIP-712 typed data message for security risks using Hypernative.
POST
/
clients
/
me
/
integrations
/
hypernative
/
eip-712
/
scan
Scan an EIP-712 message
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Body
application/json
Response
Scan completed successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I